Loading...
Searching...
No Matches
MagnitudeExtent< VecT, false > Struct Template Reference

Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as the original vector. More...

`#include <openvdb/points/PointStatistics.h>`

Inheritance diagram for MagnitudeExtent< VecT, false >:

## Public Types

using | ElementT = typename ValueTraits<VecT>::ElementType
using | ExtentT = std::pair<VecT, VecT>
using | BaseT

## Public Member Functions

| MagnitudeExtent (const VecT &init)
| MagnitudeExtent (const ExtentT &init)
const ExtentT & | get () const
void | operator() (const VecT &b)
void | operator() (const ExtentT &b)
void | operator() (const ValueTraits< VecT >::ElementType &b)
const ExtentT & | get () const

## Public Attributes

std::pair< ElementT, ElementT > | mLengths
ExtentT | mMinMax
ExtentT | mMinMax

## Detailed Description

template<typename VecT>
struct openvdb::v10_0::points::statistics_internal::MagnitudeExtent< VecT, false >

Vector squared magnitude op to evaluate the min/max of a vector attribute and return the result as the original vector.

## Member Typedef Documentation

## BaseT

using BaseT

## ElementT

template<typename VecT>

using ElementT = typename ValueTraits<VecT>::ElementType

## ExtentT

template<typename VecT>

using ExtentT = std::pair<VecT, VecT>

## Constructor & Destructor Documentation

## MagnitudeExtent() [1/2]

template<typename VecT>

MagnitudeExtent | ( | const VecT & | init | ) |

inline

## MagnitudeExtent() [2/2]

template<typename VecT>

MagnitudeExtent | ( | const ExtentT & | init | ) |

inline

## Member Function Documentation

## get() [1/2]

template<typename VecT>

const ExtentT & get | ( |  | ) | const

inline

## get() [2/2]

const ExtentT & get | ( |  | ) | const

inline

## operator()() [1/3]

template<typename VecT>

void operator() | ( | const ExtentT & | b | ) |

inline

## operator()() [2/3]

void operator() | ( | const ValueTraits< VecT >::ElementType & | b | ) |

inline

## operator()() [3/3]

template<typename VecT>

void operator() | ( | const VecT & | b | ) |

inline

## Member Data Documentation

## mLengths

template<typename VecT>

std::pair<ElementT, ElementT> mLengths

## mMinMax [1/2]

template<typename VecT>

ExtentT mMinMax

## mMinMax [2/2]

ExtentT mMinMax